<template>
  <div id="app">
    <div v-if="isLoading">Loading ......</div>
    <div v-else>
        <div v-for="item in getItemsList" :key="item.id">
            {{ item.name }} - {{ item.gender }} - {{item.address}}
            <button @click="deleteItem(item.id)">Delete</button>
        </div>
        <br>
      
         <div>
            <div>
                Ім'я
                <input v-model="students.name" type="text" />
            </div>
            <div>
                Стать
                <input v-model="students.gender" type="text" />
            </div>
            <div>
              Адрес
                <input v-model="students.address" type="text" />
            </div>
            <button @click="addItem(students)">Add</button>
        </div>

        <hr />
    </div>
    
    <router-view />
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'
export default {
  components: {
  },
  name: 'HomeView',
    data() {
        return {
            students:{},
            selectedGender: '', 
        }
    },
    computed: {
        ...mapGetters('students',['getItemsList', 'isLoading']),
    },
    created() {
        this.loadList()
    },
    methods: {
        ...mapActions('students',['loadList', 'addItem', 'deleteItem', 'updateItem', 'loadFilteredData']),
    },

  
};
</script>

